#include <stdio.h>

#define LEN 10

int main() {
    char *label = "Bezeichnung";
    int x = 387; 
    char s[LEN];

    /*
     * snprintf() ist eine verbesserte printf()-Variante,
     * die maximal LEN-1 Zeichen (+ '\0') in den Puffer
     * schreibt -- bei sprintf() kann auch ueber das Ende
     * des Puffers hinaus geschrieben werden, ohne dass dies
     * bemerkt wird.
     *
     * Analogie: fgets() vs. gets()
     */
    snprintf(s, LEN, "%s: %d", label, x);
    puts(s);

    return 0;
}
